# EnforcedPlatformDependencyModifier

@Incubating
abstract class EnforcedPlatformDependencyModifier : DependencyModifier

Implementation for the enforced platform dependency modifier.

#### Since

8.0

#### See also

modifyImplementation(ModuleDependency)

## Constructors

EnforcedPlatformDependencyModifier
Link copied to clipboard
constructor()

## Functions

invoke
Link copied to clipboard
operator fun <D : ModuleDependency> DependencyModifier.invoke(dependency: D): D
operator fun DependencyModifier.invoke(dependencyNotation: CharSequence): ExternalModuleDependency
@Incubating
operator fun DependencyModifier.invoke(dependency: ProviderConvertible<out MinimalExternalModuleDependency>): Provider<out MinimalExternalModuleDependency>
operator fun DependencyModifier.invoke(dependency: Provider<out ModuleDependency>): Provider<out ModuleDependency>

Modifies a dependency to select the variant of the given module.

modify
Link copied to clipboard
fun <D : ModuleDependency?> modify(dependency: D): D
fun modify(dependencyNotation: CharSequence): ExternalModuleDependency
fun <D : ModuleDependency?> modify(providerToDependency: Provider<D>): Provider<D>
fun modify(providerConvertibleToDependency: ProviderConvertible<out MinimalExternalModuleDependency>): Provider<out MinimalExternalModuleDependency>